View Issue Details

IDProjectCategoryView StatusLast Update
0004370Slicer4Core: Segmentationpublic2018-04-05 11:24
ReporterlassoanAssigned Topinter 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004370: Allow reordering of segments
Description

Implement a convenient way for reordering segments, for example drag-and-drop in the segment list.

Until then, workaround for reordering: Use the Segmentations module "Copy/move segments". Create an empty Segmentation node and move segments there. If you move the segments back in the original Segmentations node then they will be added to the end. You can select multiple segments with shift/ctrl.

TagsNo tags attached.

Activities

lassoan

lassoan

2017-07-24 21:01

developer   ~0014935

Maybe not the most convenient method, but it would be easier to implement a Move up/Move down right-click action. If it works with multi-select (in Segmentations module) then it would be probably usable enough.

pinter

pinter

2017-07-25 09:13

developer   ~0014964

I like the idea.

  1. It wouldn't make the UI even more complex
  2. It would take very little time to implement
jcfr

jcfr

2018-03-22 01:31

administrator   ~0015594

Last edited: 2018-03-22 01:31

View 2 revisions

It would take very little time to implement

Is it something that could be done for the coming release ?

And would the order be saved with the nrrd segmentation file ? I guess that would the order of segment in the metadata ?

pinter

pinter

2018-03-22 08:26

developer   ~0015607

The segments are saved in the NRRD in their order, so yes, it would be different.

I'll try to squeeze this in during the following week. What's the date I should be done with this in order for it to be in 4.10?

jcfr

jcfr

2018-03-31 01:16

administrator   ~0015630

I'll try to squeeze this in during the following week.

We planning for the end of the week. But there are few important issue that would be nice to address before effectively releasing. A discourse topic will posted shortly

What's the date I should be done with this in order for it to be in 4.10?

Next few days.

I am re-targeting this issue for 4.11.0. If you happen to address this on time, we will just select the correct "Fixed in Version" field.

pinter

pinter

2018-04-05 11:24

developer   ~0015652

Feature added in https://github.com/Slicer/Slicer/commit/f6e71a71b01057465c9c5600c1b72fdca313bdfa

Issue History

Date Modified Username Field Change
2017-04-30 15:24 lassoan New Issue
2017-04-30 15:24 lassoan Status new => assigned
2017-04-30 15:24 lassoan Assigned To => pinter
2017-07-24 21:01 lassoan Note Added: 0014935
2017-07-24 21:02 lassoan Product Version Slicer 4.8.1 => Slicer 4.7.0
2017-07-24 21:02 lassoan Target Version => Slicer 4.8.1
2017-07-25 09:13 pinter Note Added: 0014964
2017-10-18 01:11 jcfr Product Version Slicer 4.7.0 => Slicer 4.9.0
2017-10-18 01:11 jcfr Product Version Slicer 4.9.0 =>
2017-10-18 01:11 jcfr Target Version Slicer 4.8.1 => Slicer 4.9.0
2018-03-22 01:31 jcfr Note Added: 0015594
2018-03-22 01:31 jcfr Note Edited: 0015594 View Revisions
2018-03-22 08:26 pinter Note Added: 0015607
2018-03-31 01:16 jcfr Note Added: 0015630
2018-03-31 01:16 jcfr Target Version Slicer 4.9.0 => Slicer 4.11.0
2018-04-05 11:24 pinter Status assigned => resolved
2018-04-05 11:24 pinter Resolution open => fixed
2018-04-05 11:24 pinter Fixed in Version => Slicer 4.9.0
2018-04-05 11:24 pinter Target Version Slicer 4.11.0 => Slicer 4.9.0
2018-04-05 11:24 pinter Note Added: 0015652